#ifndef LEDSTRINGWIDGET_H
#define LEDSTRINGWIDGET_H

#include <QGraphicsItem>
#include <QList>
#include "RGBLedWidget.h"

class CLedStringWidget : public QGraphicsItem
{
public:
    CLedStringWidget(int NbLed, QGraphicsItem *parent = 0);

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
    QRectF boundingRect() const;
    int SetLedStringColors(QList<QColor> *LEDColors);


    int mNbLED;
    int mLEDSpacing;
    QRectF mBoundingRect;
    QList<CRGBLedWidget*> mLEDList;

};

#endif // LEDSTRINGWIDGET_H
